Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.pear.tools
Class PackageCreatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.uima.InternationalizedException
                  org.apache.uima.pear.tools.PackageCreatorException

All Implemented Interfaces:
  Serializable

    public class PackageCreatorException

extends InternationalizedException

Exception thrown if the PEAR package generation fails.

See Also:
  Serialized Form

Constructor Summary
`PackageCreatorException(String aResourceBundleName, String aMessageKey)` Creates a new `PackageCreatorException` with the specified message.
`PackageCreatorException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new `PackageCreatorException` with the specified message.
`PackageCreatorException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new `PackageCreatorException` with the specified message and cause.
`PackageCreatorException(String aResourceBundleName, String aMessageKey, Throwable aCause)` Creates a new `PackageCreatorException` with the specified message and cause.

Method Summary

Methods inherited from class org.apache.uima.InternationalizedException
`getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, hasMessageKey, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PackageCreatorException

    public PackageCreatorException(String aResourceBundleName,
                                   String aMessageKey,
                                   Object[] aArguments)

  Creates a new `PackageCreatorException` with the specified message.

  Parameters:
    `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

### PackageCreatorException

    public PackageCreatorException(String aResourceBundleName,
                                   String aMessageKey)

  Creates a new `PackageCreatorException` with the specified message.

  Parameters:
    `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.

### PackageCreatorException

    public PackageCreatorException(String aResourceBundleName,
                                   String aMessageKey,
                                   Throwable aCause)

  Creates a new `PackageCreatorException` with the specified message and cause.

  Parameters:
    `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aCause` - the original exception that caused this exception to be thrown, if any

### PackageCreatorException

    public PackageCreatorException(String aResourceBundleName,
                                   String aMessageKey,
                                   Object[] aArguments,
                                   Throwable aCause)

  Creates a new `PackageCreatorException` with the specified message and cause.

  Parameters:
    `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
    `aCause` - the original exception that caused this exception to be thrown, if any

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.